package de.swingbe.ifleet.model;

import java.util.Objects;

public class Comm {
    private final Header header;
    private final Telegr telegr;
    public Comm(Header header, Telegr telegr) {
        this.header = header;
        this.telegr = telegr;
    }

    @Override
    public String toString() {
        return "Communication{" + "header=" + header + ", telegr=" + telegr + '}';
    }

    public Header getHeader() {
        return header;
    }

    public Telegr getTelegr() {
        return telegr;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Comm that = (Comm) o;
        return header.equals(that.header) && telegr.equals(that.telegr);
    }

    @Override
    public int hashCode() {
        return Objects.hash(header, telegr);
    }
}
