package de.swingbe.ifleet.model;

import java.util.Objects;

public class Telegr {

    private final TelegramHdr teleHeader;
    private final TelegrCntnt telegrCntnt;

    public Telegr(TelegramHdr teleHeader, TelegrCntnt telegrCntnt) {
        this.teleHeader = teleHeader;
        this.telegrCntnt = telegrCntnt;
    }

    public TelegramHdr getTeleHeader() {
        return teleHeader;
    }

    public TelegrCntnt getTelegrCntnt() {
        return telegrCntnt;
    }

    @Override
    public String toString() {
        return "Telegram{" + "teleHeader=" + teleHeader + ", telegrCntnt=" + telegrCntnt + '}';
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Telegr telegram = (Telegr) o;
        return teleHeader.equals(telegram.teleHeader) && telegrCntnt.equals(telegram.telegrCntnt);
    }

    @Override
    public int hashCode() {
        return Objects.hash(teleHeader, telegrCntnt);
    }
}
