package de.swingbe.ifleet.parser;

import de.swingbe.ifleet.model.Enty;

/**
 * Parses an {@link Enty}.
 */
public interface EntyParser {

    /**
     * Returns a new {@link Enty} that holds the parses fields.
     *
     * @param input the {@link String} to be parsed
     * @return the parsed {@link Enty}
     */
    Enty parse(final String input);
}
