package de.swingbe.ifleet.parser;

/**
 * Factory for creating instances of {@link EntyParser}.
 */
public class EntyParserFactory {

    private EntyParserFactory() {

    }

    /**
     * Creates an instance of {@link EntyParser}.
     *
     * @return the new instance
     */
    public static EntyParser createEntyParser() {
        return new EntyParserImpl();
    }
}
