package de.swingbe.ifleet.parser;

import de.swingbe.ifleet.model.TcLctMsg;

/**
 * Parses a {@link TcLctMsg}.
 */
interface LctMsgParser {

    /**
     * Returns a new {@link TcLctMsg} that holds the parses fields.
     *
     * @param type the telegram type
     * @param input the {@link String} to be parsed
     * @return the parsed {@link TcLctMsg}
     */
    TcLctMsg parse(final String type, final String input);
}
