package de.swingbe.ifleet.parser;

/**
 * Factory for creating instances of {@link LctMsgParser}.
 */
class LctMsgParserFactory {

    private LctMsgParserFactory() {

    }

    /**
     * Creates an instance of {@link LctMsgParser}.
     *
     * @return the new instance
     */
    public static LctMsgParser createLctMsgParer() {
        return new LctMsgParserImpl();
    }
}
