package de.swingbe.ifleet.parser;

import de.swingbe.ifleet.model.Telegr;

/**
 * Parses a {@link Telegr}.
 */
interface TelegrParser {

    /**
     * Returns a new {@link Telegr} that holds the parses fields.
     *
     * @param input the {@link String} to be parsed
     * @return the parsed {@link Telegr
     */
    Telegr parse(final String input);
}
