package de.swingbe.ifleet.parser;

/**
 * Factory for creating instances of {@link TelegrParser}.
 */
class TelegrParserFactory {

    private TelegrParserFactory() {

    }

    /**
     * Creates an instance of {@link TelegrParser}.
     *
     * @return the new instance
     */
    public static TelegrParser createTelegrParser() {
        return new TelegrParserImpl();
    }
}
