package de.swingbe.ifleet.parser;

import de.swingbe.ifleet.model.Comm;

/**
 * Parses a {@link Comm}.
 */
interface CommParser {

    /**
     * Returns a new {@link Comm} that holds the parses fields.
     *
     * @param input the {@link String} to be parsed
     * @return the parsed {@link Comm}
     */
    Comm parse(final String input);
}
