package de.swingbe.ifleet.parser;

/**
 * Factory for creating instances of {@link CommParser}.
 */
class CommParserFactory {

    private CommParserFactory() {

    }

    /**
     * Creates an instance of {@link CommParser}.
     *
     * @return the new instance
     */
    public static CommParser createCommParser() {
        return new CommParserImpl();
    }
}
